<?php
/*
Plugin Name:Fedya author Info
Description: Добавя стилна и персонализируема кутия с информация за автора под всяка публикация.
Version: 1.3
Author: Fedya Serafiev
website: https://fedia.eu/
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

// Функция за добавяне на статична информация за автора
function sai_add_static_author_info($content) {
    if (is_single()) {
        // Статична информация за автора
        $author_name = '<a href="https://fedia.eu/" class="static-author-link">Федя Серафиев</a>';
        $author_bio = 'fedia.eu е проект на Федя Серафиев, който предлага богат източник на информация за изкуствен интелект, криптовалути и операционни системи. Тук посетителите могат да открият богата колекция от статии, блога публикации и ресурси, посветени на AI, криптовалути, операционни системи и други технологии.';
        $author_image_url = 'https://fedia.eu/wp-content/uploads/2025/01/Fedya-Serafiev.jpg'; // Заменете с действителния URL на изображението

        // Създайте HTML за статичната информация за автора
        $author_info_box = '<div class="static-author-info-box">';
        $author_info_box .= '<div class="static-author-avatar"><img src="' . esc_url($author_image_url) . '" alt="Федя Серафиев"></div>';
        $author_info_box .= '<div class="static-author-details">';
        $author_info_box .= '<h4>' . $author_name . '</h4>'; // Няма esc_html() тук, за да запазим HTML линка
        $author_info_box .= '<p>' . esc_html($author_bio) . '</p>';
        $author_info_box .= '</div>';
        $author_info_box .= '</div>';

        // Добавете статичната информация за автора след съдържанието на статията
        $content .= $author_info_box;
    }

    return $content;
}

// Свържете функцията с филтъра 'the_content'
add_filter('the_content', 'sai_add_static_author_info');

// Добавете CSS за стил на статичната информация за автора
function sai_static_author_info_styles() {
    echo '
    <style>
    .static-author-info-box {
        display: flex;
        align-items: center;
        margin-top: 20px;
        padding: 10px;
        border-top: 1px solid #ccc;
    }
    .static-author-avatar {
        margin-right: 15px;
        flex-shrink: 0;
    }
    .static-author-avatar img {
        width: 96px;
        height: 96px;
        border-radius: 50%;
        object-fit: cover;
    }
    .static-author-details h4 {
        margin: 0 0 5px;
    }
    .static-author-details p {
        margin: 0;
        font-size: 14px;
        color: #555;
    }
    .static-author-link {
        color: #1e73be !important; /* Лилав цвят */
        text-decoration: none !important; /* Без подчертаване */
    }
    .static-author-link:hover {
        text-decoration: none !important; /* Без подчертаване при задържане на курсора */
    }
    .static-author-link:focus {
        text-decoration: none !important; /* Без подчертаване при фокус */
    }
    </style>
    ';
}

add_action('wp_head', 'sai_static_author_info_styles');
